package com.sw.mes.yb.seed.service;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.core.response.Result;
import com.sw.mes.yb.seed.dto.SeedIQCInspectionDto;
import com.sw.mes.yb.seed.entity.SeedIQCInspection;
import com.sw.mes.yb.seed.entity.SeedSelfInspection;

import java.util.List;

public interface SeedIQCInspectionService  extends BaseService<SeedIQCInspection> {
    //根据籽晶编码查询籽晶IQC信息
    SeedIQCInspection getBySeedCode(String seedCode);
    List<SeedIQCInspection> getIQCInspectionBySeedCodes(List<String> seedCodes);
    //根据籽晶批次号查询籽晶IQC信息
    SeedIQCInspection getBySeedBatchNo(String seedBatchNo);
    //根据计划单号查询籽晶IQC信息
    List<SeedIQCInspection> getByPlanCode(String planCode);
    //根据批次号查询籽晶IQC信息
    List<SeedIQCInspection> getByBatchNo(String batchNo,Boolean isQualified);
    //查询合格/不合格的IQC信息
    List<SeedIQCInspection> getQualified(Boolean isQualified);
    //创建籽晶IQC检测信息
    Result create(SeedIQCInspectionDto dto);
}
